package com.iamberry.wechat.core.entity;

/**
 * @description 作为服务影响的返回结果，常用业务错误，返回错误码和错误信息；
 * @author 欧阳明
 * @data 2016-4-18 14:23
 */
public class ResultMsg implements java.io.Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 8987614804726091566L;

	public static final String SUCCESS = "SUCCESS";
	public static final String ERROR = "ERROR";

	private boolean status; // 状态
	
	private String ResultCode ; //状态码
	
	private String message; //返回信息
	
	private Object data; //返回对象

	public ResultMsg(){}
	
	public ResultMsg(boolean status, String resultCode, String message,
			Object data) {
		super();
		this.status = status;
		ResultCode = resultCode;
		this.message = message;
		this.data = data;
	}

	public boolean isStatus() {
		return status;
	}

	public void setStatus(boolean status) {
		this.status = status;
	}

	public String getResultCode() {
		return ResultCode;
	}

	public void setResultCode(String resultCode) {
		ResultCode = resultCode;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public Object getData() {
		return data;
	}

	public void setData(Object data) {
		this.data = data;
	}
	
	

}
